DORMANTno replies

[PATCH] t/gitweb-lib: Don't pass constant to decode_utf8

From: Brian Gernhardt <hidden>
Date: 2016-06-15 22:49:47
Subsystem: the rest · Maintainer: Linus Torvalds

Running 'decode_utf8("", Encode::FB_CROAK)' causes perl 5.10 to die on
OS X 10.6.4 with:

Modification of a read-only value attempted at
/Library/Perl/Updates/5.10.0/darwin-thread-multi-2level/Encode.pm line
216.

This is because Encode 2.40 updates the string to decode in-place when
a second argument is passed.  Work around this by passing an empty
variable ($_) instead of a constant string ("")

Signed-off-by: Brian Gernhardt <redacted>
---
 t/gitweb-lib.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/t/gitweb-lib.sh b/t/gitweb-lib.sh
index 8c490c8..c31d815 100644
--- a/t/gitweb-lib.sh
+++ b/t/gitweb-lib.sh
@@ -80,7 +80,7 @@ if ! test_have_prereq PERL; then
 	test_done
 fi
 
-perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
+perl -MEncode -e 'decode_utf8($_, Encode::FB_CROAK)' >/dev/null 2>&1 || {
 	skip_all='skipping gitweb tests, perl version is too old'
 	test_done
 }
-- 
1.7.3.1.139.g4284d
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help